#include "test10.h"
#include <iostream>
#include <cstring>
#include <chrono>
#include <thread>

int main() {
    // 初始化AD硬件服务化
    test10_init(0, "AD_Hardware_Service");

    // 测试数据: 0x55, 0xAA, 0x55, 0xAA
    uint8_t test10_data[] = {0x90, 0x91, 0x92, 0x93, 0x94, 0x95, 0x96, 0x97, 0x98, 0x99};
    uint16_t data_len = sizeof(test10_data);
    
    std::string dest = "test_Service";
    
    while (true) {   
        std::this_thread::sleep_for(std::chrono::seconds(3));
    }
    
    return 0;
}
